---
title: Element.requestPointerLock()
slug: Web/API/Element/requestPointerLock
tags:
  - API
  - DOM
  - Experimental
  - Method
  - NeedsExample
  - PointerEvent
  - Reference
  - mouse lock
---
<div>{{ APIRef("DOM") }}{{ seeCompatTable }}</div>

<p>The <strong><code>Element.requestPointerLock()</code></strong> method lets you asynchronously ask for the pointer to be locked on the given element.</p>

<p>To track the success or failure of the request, it is necessary to listen for the {{event("pointerlockchange")}} and {{event("pointerlockerror")}} events at the {{domxref("Document")}} level.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>instanceOfElement</em>.requestPointerLock();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Lock','#dom-element-requestpointerlock','requestPointerLock()')}}</td>
   <td>{{Spec2('Pointer Lock')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Element.requestPointerLock")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("Document.pointerLockElement") }}</li>
 <li>{{ domxref("Document.exitPointerLock()") }}</li>
 <li><a href="/Web/API/Pointer_Lock_API">Pointer Lock</a></li>
</ul>
